<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\SammelEMail;

class SendSammelEMailController extends \Kufer\Web\KuferTools\Basis\DozentenInfo\SammelEMail\SendSammelEMailController
{
  protected function getPresenter($pUseCaseResponse)
  {
    return new SendSammelEMailPresenter($pUseCaseResponse);
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SendSammelEMailUseCase(
      $this->getRequestObj()
    );
  }
}